MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0005087ATutorPreferencespublic2012-10-09 15:322013-02-20 11:14
Reportergreg 
Assigned Togreg 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version2.1 
Target Version2.1.1Fixed in Version2.1.1 
Summary0005087: Deafult user prefs resets admin default theme
DescriptionWhen an admin sets the default user preferences and adjusts the theme, the theme changes in the active session. Is this correct, or should it remain whatever the system's default theme is?

Maybe set the theme to the changed user pref for just that page when it reloads to override the system's default so the admin can see what things will look like, then on reload let the session theme take over again. Open for discussion. See attached PDF.
TagsNo tags attached.
Affects versionSVN
SVN Revision#6e0cca6..70d8c86 master -> master
Attached Filespdf file icon defaultthemebug.pdf [^] (244,547 bytes) 2012-10-09 15:32

- Relationships

-  Notes
(0005867)
greg (administrator)
2012-10-09 15:35

see solution at:
http://atutor.ca/view/3/23589/1.html [^]
(0006049)
greg (administrator)
2013-02-11 13:24

capture current theme, then reset it back into the session after leaving the page
(0006088)
greg (administrator)
2013-02-20 11:14

resolved in 2.1.1

- Issue History
Date Modified Username Field Change
2012-10-09 15:32 greg New Issue
2012-10-09 15:32 greg File Added: defaultthemebug.pdf
2012-10-09 15:35 greg Note Added: 0005867
2013-02-11 13:24 greg SVN Revision# => 6e0cca6..70d8c86 master -> master
2013-02-11 13:24 greg Note Added: 0006049
2013-02-11 13:24 greg Status new => resolved
2013-02-11 13:24 greg Fixed in Version => 2.1.1
2013-02-11 13:24 greg Resolution open => fixed
2013-02-11 13:24 greg Assigned To => greg
2013-02-20 11:14 greg Note Added: 0006088
2013-02-20 11:14 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker